org.eclipse.incquery.patternlanguage.patternLanguage

## Interface PatternLanguagePackage.Literals

- Enclosing interface:
    PatternLanguagePackage

      public static interface PatternLanguagePackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `AGGREGATED_VALUE` The meta object literal for the '`Aggregated Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `AGGREGATED_VALUE__AGGREGATOR` The meta object literal for the 'Aggregator' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `AGGREGATED_VALUE__CALL` The meta object literal for the 'Call' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `AGGREGATOR_EXPRESSION` The meta object literal for the '`Aggregator Expression`' class.
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATION` The meta object literal for the '`Annotation`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `ANNOTATION__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATION_PARAMETER` The meta object literal for the '`Annotation Parameter`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION_PARAMETER__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `ANNOTATION_PARAMETER__VALUE` The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `BOOL_VALUE` The meta object literal for the '`Bool Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `BOOL_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `CHECK_CONSTRAINT` The meta object literal for the '`Check Constraint`' class.
    `static org.eclipse.emf.ecore.EReference` | `CHECK_CONSTRAINT__EXPRESSION` The meta object literal for the 'Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `COMPARE_CONSTRAINT` The meta object literal for the '`Compare Constraint`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `COMPARE_CONSTRAINT__FEATURE` The meta object literal for the 'Feature' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPARE_CONSTRAINT__LEFT_OPERAND` The meta object literal for the 'Left Operand' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPARE_CONSTRAINT__RIGHT_OPERAND` The meta object literal for the 'Right Operand' containment reference feature.
    `static org.eclipse.emf.ecore.EEnum` | `COMPARE_FEATURE` The meta object literal for the '`Compare Feature`' enum.
    `static org.eclipse.emf.ecore.EClass` | `COMPUTATION_VALUE` The meta object literal for the '`Computation Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `CONSTRAINT` The meta object literal for the '`Constraint`' class.
    `static org.eclipse.emf.ecore.EClass` | `COUNT_AGGREGATOR` The meta object literal for the '`Count Aggregator`' class.
    `static org.eclipse.emf.ecore.EClass` | `DOUBLE_VALUE` The meta object literal for the '`Double Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `DOUBLE_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `ENTITY_TYPE` The meta object literal for the '`Entity Type`' class.
    `static org.eclipse.emf.ecore.EClass` | `FUNCTION_EVALUATION_VALUE` The meta object literal for the '`Function Evaluation Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `FUNCTION_EVALUATION_VALUE__EXPRESSION` The meta object literal for the 'Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `INT_VALUE` The meta object literal for the '`Int Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `INT_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `LIST_VALUE` The meta object literal for the '`List Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `LIST_VALUE__VALUES` The meta object literal for the 'Values' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `LITERAL_VALUE_REFERENCE` The meta object literal for the '`Literal Value Reference`' class.
    `static org.eclipse.emf.ecore.EClass` | `LOCAL_VARIABLE` The meta object literal for the '`Local Variable`' class.
    `static org.eclipse.emf.ecore.EClass` | `MODIFIERS` The meta object literal for the '`Modifiers`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `MODIFIERS__PRIVATE` The meta object literal for the 'Private' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER_REF` The meta object literal for the '`Parameter Ref`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_REF__REFERRED_PARAM` The meta object literal for the 'Referred Param' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATH_EXPRESSION_CONSTRAINT` The meta object literal for the '`Path Expression Constraint`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_CONSTRAINT__HEAD` The meta object literal for the 'Head' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATH_EXPRESSION_ELEMENT` The meta object literal for the '`Path Expression Element`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_ELEMENT__TAIL` The meta object literal for the 'Tail' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_ELEMENT__TYPE` The meta object literal for the 'Type' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATH_EXPRESSION_HEAD` The meta object literal for the '`Path Expression Head`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_HEAD__DST` The meta object literal for the 'Dst' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_HEAD__SRC` The meta object literal for the 'Src' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATH_EXPRESSION_TAIL` The meta object literal for the '`Path Expression Tail`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PATH_EXPRESSION_TAIL__CLOSURE` The meta object literal for the 'Closure' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATH_EXPRESSION_TAIL__INDEX` The meta object literal for the 'Index' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN` The meta object literal for the '`Pattern`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN__ANNOTATIONS` The meta object literal for the 'Annotations' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN__BODIES` The meta object literal for the 'Bodies' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN__MODIFIERS` The meta object literal for the 'Modifiers' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_BODY` The meta object literal for the '`Pattern Body`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_BODY__CONSTRAINTS` The meta object literal for the 'Constraints' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_BODY__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_BODY__VARIABLES` The meta object literal for the 'Variables' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_CALL` The meta object literal for the '`Pattern Call`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_CALL__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_CALL__PATTERN_REF` The meta object literal for the 'Pattern Ref' reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_CALL__TRANSITIVE` The meta object literal for the 'Transitive' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_COMPOSITION_CONSTRAINT` The meta object literal for the '`Pattern Composition Constraint`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_COMPOSITION_CONSTRAINT__CALL` The meta object literal for the 'Call' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE` The meta object literal for the 'Negative' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_MODEL` The meta object literal for the '`Pattern Model`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_MODEL__PACKAGE_NAME` The meta object literal for the 'Package Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_MODEL__PATTERNS` The meta object literal for the 'Patterns' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `RELATION_TYPE` The meta object literal for the '`Relation Type`' class.
    `static org.eclipse.emf.ecore.EClass` | `STRING_VALUE` The meta object literal for the '`String Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_VALUE__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TYPE` The meta object literal for the '`Type`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TYPE__TYPENAME` The meta object literal for the 'Typename' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `VALUE_REFERENCE` The meta object literal for the '`Value Reference`' class.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE` The meta object literal for the '`Variable`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIABLE__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE__REFERENCES` The meta object literal for the 'References' reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE__TYPE` The meta object literal for the 'Type' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE_REFERENCE` The meta object literal for the '`Variable Reference`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIABLE_REFERENCE__VAR` The meta object literal for the 'Var' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE_REFERENCE__VARIABLE` The meta object literal for the 'Variable' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE_VALUE` The meta object literal for the '`Variable Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE_VALUE__VALUE` The meta object literal for the 'Value' containment reference feature.

- - ### Field Detail

    - #### PATTERN_MODEL

          static final org.eclipse.emf.ecore.EClass PATTERN_MODEL

      The meta object literal for the '`Pattern Model`' class.
      See Also:
        `PatternModelImpl`, `PatternLanguagePackageImpl.getPatternModel()`

    - #### PATTERN_MODEL__PACKAGE_NAME

          static final org.eclipse.emf.ecore.EAttribute PATTERN_MODEL__PACKAGE_NAME

      The meta object literal for the 'Package Name' attribute feature.

    - #### PATTERN_MODEL__PATTERNS

          static final org.eclipse.emf.ecore.EReference PATTERN_MODEL__PATTERNS

      The meta object literal for the 'Patterns' containment reference list feature.

    - #### PATTERN

          static final org.eclipse.emf.ecore.EClass PATTERN

      The meta object literal for the '`Pattern`' class.
      See Also:
        `PatternImpl`, `PatternLanguagePackageImpl.getPattern()`

    - #### PATTERN__ANNOTATIONS

          static final org.eclipse.emf.ecore.EReference PATTERN__ANNOTATIONS

      The meta object literal for the 'Annotations' containment reference list feature.

    - #### PATTERN__MODIFIERS

          static final org.eclipse.emf.ecore.EReference PATTERN__MODIFIERS

      The meta object literal for the 'Modifiers' containment reference list feature.

    - #### PATTERN__NAME

          static final org.eclipse.emf.ecore.EAttribute PATTERN__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### PATTERN__PARAMETERS

          static final org.eclipse.emf.ecore.EReference PATTERN__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### PATTERN__BODIES

          static final org.eclipse.emf.ecore.EReference PATTERN__BODIES

      The meta object literal for the 'Bodies' containment reference list feature.

    - #### ANNOTATION

          static final org.eclipse.emf.ecore.EClass ANNOTATION

      The meta object literal for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `PatternLanguagePackageImpl.getAnnotation()`

    - #### ANNOTATION__NAME

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### ANNOTATION__PARAMETERS

          static final org.eclipse.emf.ecore.EReference ANNOTATION__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### ANNOTATION_PARAMETER

          static final org.eclipse.emf.ecore.EClass ANNOTATION_PARAMETER

      The meta object literal for the '`Annotation Parameter`' class.
      See Also:
        `AnnotationParameterImpl`, `PatternLanguagePackageImpl.getAnnotationParameter()`

    - #### ANNOTATION_PARAMETER__NAME

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION_PARAMETER__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### ANNOTATION_PARAMETER__VALUE

          static final org.eclipse.emf.ecore.EReference ANNOTATION_PARAMETER__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### MODIFIERS

          static final org.eclipse.emf.ecore.EClass MODIFIERS

      The meta object literal for the '`Modifiers`' class.
      See Also:
        `ModifiersImpl`, `PatternLanguagePackageImpl.getModifiers()`

    - #### MODIFIERS__PRIVATE

          static final org.eclipse.emf.ecore.EAttribute MODIFIERS__PRIVATE

      The meta object literal for the 'Private' attribute feature.

    - #### VARIABLE

          static final org.eclipse.emf.ecore.EClass VARIABLE

      The meta object literal for the '`Variable`' class.
      See Also:
        `VariableImpl`, `PatternLanguagePackageImpl.getVariable()`

    - #### VARIABLE__NAME

          static final org.eclipse.emf.ecore.EAttribute VARIABLE__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### VARIABLE__TYPE

          static final org.eclipse.emf.ecore.EReference VARIABLE__TYPE

      The meta object literal for the 'Type' containment reference feature.

    - #### VARIABLE__REFERENCES

          static final org.eclipse.emf.ecore.EReference VARIABLE__REFERENCES

      The meta object literal for the 'References' reference list feature.

    - #### VARIABLE_REFERENCE

          static final org.eclipse.emf.ecore.EClass VARIABLE_REFERENCE

      The meta object literal for the '`Variable Reference`' class.
      See Also:
        `VariableReferenceImpl`, `PatternLanguagePackageImpl.getVariableReference()`

    - #### VARIABLE_REFERENCE__VAR

          static final org.eclipse.emf.ecore.EAttribute VARIABLE_REFERENCE__VAR

      The meta object literal for the 'Var' attribute feature.

    - #### VARIABLE_REFERENCE__VARIABLE

          static final org.eclipse.emf.ecore.EReference VARIABLE_REFERENCE__VARIABLE

      The meta object literal for the 'Variable' reference feature.

    - #### TYPE

          static final org.eclipse.emf.ecore.EClass TYPE

      The meta object literal for the '`Type`' class.
      See Also:
        `TypeImpl`, `PatternLanguagePackageImpl.getType()`

    - #### TYPE__TYPENAME

          static final org.eclipse.emf.ecore.EAttribute TYPE__TYPENAME

      The meta object literal for the 'Typename' attribute feature.

    - #### PATTERN_BODY

          static final org.eclipse.emf.ecore.EClass PATTERN_BODY

      The meta object literal for the '`Pattern Body`' class.
      See Also:
        `PatternBodyImpl`, `PatternLanguagePackageImpl.getPatternBody()`

    - #### PATTERN_BODY__NAME

          static final org.eclipse.emf.ecore.EAttribute PATTERN_BODY__NAME

      The meta object literal for the 'Name' attribute feature.

    - #### PATTERN_BODY__CONSTRAINTS

          static final org.eclipse.emf.ecore.EReference PATTERN_BODY__CONSTRAINTS

      The meta object literal for the 'Constraints' containment reference list feature.

    - #### PATTERN_BODY__VARIABLES

          static final org.eclipse.emf.ecore.EReference PATTERN_BODY__VARIABLES

      The meta object literal for the 'Variables' containment reference list feature.

    - #### CONSTRAINT

          static final org.eclipse.emf.ecore.EClass CONSTRAINT

      The meta object literal for the '`Constraint`' class.
      See Also:
        `ConstraintImpl`, `PatternLanguagePackageImpl.getConstraint()`

    - #### PATTERN_CALL

          static final org.eclipse.emf.ecore.EClass PATTERN_CALL

      The meta object literal for the '`Pattern Call`' class.
      See Also:
        `PatternCallImpl`, `PatternLanguagePackageImpl.getPatternCall()`

    - #### PATTERN_CALL__PATTERN_REF

          static final org.eclipse.emf.ecore.EReference PATTERN_CALL__PATTERN_REF

      The meta object literal for the 'Pattern Ref' reference feature.

    - #### PATTERN_CALL__TRANSITIVE

          static final org.eclipse.emf.ecore.EAttribute PATTERN_CALL__TRANSITIVE

      The meta object literal for the 'Transitive' attribute feature.

    - #### PATTERN_CALL__PARAMETERS

          static final org.eclipse.emf.ecore.EReference PATTERN_CALL__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.

    - #### PATH_EXPRESSION_ELEMENT

          static final org.eclipse.emf.ecore.EClass PATH_EXPRESSION_ELEMENT

      The meta object literal for the '`Path Expression Element`' class.
      See Also:
        `PathExpressionElementImpl`, `PatternLanguagePackageImpl.getPathExpressionElement()`

    - #### PATH_EXPRESSION_ELEMENT__TYPE

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_ELEMENT__TYPE

      The meta object literal for the 'Type' containment reference feature.

    - #### PATH_EXPRESSION_ELEMENT__TAIL

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_ELEMENT__TAIL

      The meta object literal for the 'Tail' containment reference feature.

    - #### VALUE_REFERENCE

          static final org.eclipse.emf.ecore.EClass VALUE_REFERENCE

      The meta object literal for the '`Value Reference`' class.
      See Also:
        `ValueReferenceImpl`, `PatternLanguagePackageImpl.getValueReference()`

    - #### LITERAL_VALUE_REFERENCE

          static final org.eclipse.emf.ecore.EClass LITERAL_VALUE_REFERENCE

      The meta object literal for the '`Literal Value Reference`' class.
      See Also:
        `LiteralValueReferenceImpl`, `PatternLanguagePackageImpl.getLiteralValueReference()`

    - #### COMPUTATION_VALUE

          static final org.eclipse.emf.ecore.EClass COMPUTATION_VALUE

      The meta object literal for the '`Computation Value`' class.
      See Also:
        `ComputationValueImpl`, `PatternLanguagePackageImpl.getComputationValue()`

    - #### AGGREGATOR_EXPRESSION

          static final org.eclipse.emf.ecore.EClass AGGREGATOR_EXPRESSION

      The meta object literal for the '`Aggregator Expression`' class.
      See Also:
        `AggregatorExpressionImpl`, `PatternLanguagePackageImpl.getAggregatorExpression()`

    - #### PARAMETER_REF

          static final org.eclipse.emf.ecore.EClass PARAMETER_REF

      The meta object literal for the '`Parameter Ref`' class.
      See Also:
        `ParameterRefImpl`, `PatternLanguagePackageImpl.getParameterRef()`

    - #### PARAMETER_REF__REFERRED_PARAM

          static final org.eclipse.emf.ecore.EReference PARAMETER_REF__REFERRED_PARAM

      The meta object literal for the 'Referred Param' reference feature.

    - #### LOCAL_VARIABLE

          static final org.eclipse.emf.ecore.EClass LOCAL_VARIABLE

      The meta object literal for the '`Local Variable`' class.
      See Also:
        `LocalVariableImpl`, `PatternLanguagePackageImpl.getLocalVariable()`

    - #### ENTITY_TYPE

          static final org.eclipse.emf.ecore.EClass ENTITY_TYPE

      The meta object literal for the '`Entity Type`' class.
      See Also:
        `EntityTypeImpl`, `PatternLanguagePackageImpl.getEntityType()`

    - #### RELATION_TYPE

          static final org.eclipse.emf.ecore.EClass RELATION_TYPE

      The meta object literal for the '`Relation Type`' class.
      See Also:
        `RelationTypeImpl`, `PatternLanguagePackageImpl.getRelationType()`

    - #### PATTERN_COMPOSITION_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass PATTERN_COMPOSITION_CONSTRAINT

      The meta object literal for the '`Pattern Composition Constraint`' class.
      See Also:
        `PatternCompositionConstraintImpl`, `PatternLanguagePackageImpl.getPatternCompositionConstraint()`

    - #### PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE

          static final org.eclipse.emf.ecore.EAttribute PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE

      The meta object literal for the 'Negative' attribute feature.

    - #### PATTERN_COMPOSITION_CONSTRAINT__CALL

          static final org.eclipse.emf.ecore.EReference PATTERN_COMPOSITION_CONSTRAINT__CALL

      The meta object literal for the 'Call' containment reference feature.

    - #### COMPARE_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass COMPARE_CONSTRAINT

      The meta object literal for the '`Compare Constraint`' class.
      See Also:
        `CompareConstraintImpl`, `PatternLanguagePackageImpl.getCompareConstraint()`

    - #### COMPARE_CONSTRAINT__LEFT_OPERAND

          static final org.eclipse.emf.ecore.EReference COMPARE_CONSTRAINT__LEFT_OPERAND

      The meta object literal for the 'Left Operand' containment reference feature.

    - #### COMPARE_CONSTRAINT__FEATURE

          static final org.eclipse.emf.ecore.EAttribute COMPARE_CONSTRAINT__FEATURE

      The meta object literal for the 'Feature' attribute feature.

    - #### COMPARE_CONSTRAINT__RIGHT_OPERAND

          static final org.eclipse.emf.ecore.EReference COMPARE_CONSTRAINT__RIGHT_OPERAND

      The meta object literal for the 'Right Operand' containment reference feature.

    - #### CHECK_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass CHECK_CONSTRAINT

      The meta object literal for the '`Check Constraint`' class.
      See Also:
        `CheckConstraintImpl`, `PatternLanguagePackageImpl.getCheckConstraint()`

    - #### CHECK_CONSTRAINT__EXPRESSION

          static final org.eclipse.emf.ecore.EReference CHECK_CONSTRAINT__EXPRESSION

      The meta object literal for the 'Expression' containment reference feature.

    - #### PATH_EXPRESSION_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass PATH_EXPRESSION_CONSTRAINT

      The meta object literal for the '`Path Expression Constraint`' class.
      See Also:
        `PathExpressionConstraintImpl`, `PatternLanguagePackageImpl.getPathExpressionConstraint()`

    - #### PATH_EXPRESSION_CONSTRAINT__HEAD

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_CONSTRAINT__HEAD

      The meta object literal for the 'Head' containment reference feature.

    - #### PATH_EXPRESSION_HEAD

          static final org.eclipse.emf.ecore.EClass PATH_EXPRESSION_HEAD

      The meta object literal for the '`Path Expression Head`' class.
      See Also:
        `PathExpressionHeadImpl`, `PatternLanguagePackageImpl.getPathExpressionHead()`

    - #### PATH_EXPRESSION_HEAD__SRC

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_HEAD__SRC

      The meta object literal for the 'Src' containment reference feature.

    - #### PATH_EXPRESSION_HEAD__DST

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_HEAD__DST

      The meta object literal for the 'Dst' containment reference feature.

    - #### PATH_EXPRESSION_TAIL

          static final org.eclipse.emf.ecore.EClass PATH_EXPRESSION_TAIL

      The meta object literal for the '`Path Expression Tail`' class.
      See Also:
        `PathExpressionTailImpl`, `PatternLanguagePackageImpl.getPathExpressionTail()`

    - #### PATH_EXPRESSION_TAIL__INDEX

          static final org.eclipse.emf.ecore.EAttribute PATH_EXPRESSION_TAIL__INDEX

      The meta object literal for the 'Index' attribute feature.

    - #### PATH_EXPRESSION_TAIL__CLOSURE

          static final org.eclipse.emf.ecore.EAttribute PATH_EXPRESSION_TAIL__CLOSURE

      The meta object literal for the 'Closure' attribute feature.

    - #### INT_VALUE

          static final org.eclipse.emf.ecore.EClass INT_VALUE

      The meta object literal for the '`Int Value`' class.
      See Also:
        `IntValueImpl`, `PatternLanguagePackageImpl.getIntValue()`

    - #### INT_VALUE__VALUE

          static final org.eclipse.emf.ecore.EAttribute INT_VALUE__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### STRING_VALUE

          static final org.eclipse.emf.ecore.EClass STRING_VALUE

      The meta object literal for the '`String Value`' class.
      See Also:
        `StringValueImpl`, `PatternLanguagePackageImpl.getStringValue()`

    - #### STRING_VALUE__VALUE

          static final org.eclipse.emf.ecore.EAttribute STRING_VALUE__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### BOOL_VALUE

          static final org.eclipse.emf.ecore.EClass BOOL_VALUE

      The meta object literal for the '`Bool Value`' class.
      See Also:
        `BoolValueImpl`, `PatternLanguagePackageImpl.getBoolValue()`

    - #### BOOL_VALUE__VALUE

          static final org.eclipse.emf.ecore.EAttribute BOOL_VALUE__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### DOUBLE_VALUE

          static final org.eclipse.emf.ecore.EClass DOUBLE_VALUE

      The meta object literal for the '`Double Value`' class.
      See Also:
        `DoubleValueImpl`, `PatternLanguagePackageImpl.getDoubleValue()`

    - #### DOUBLE_VALUE__VALUE

          static final org.eclipse.emf.ecore.EAttribute DOUBLE_VALUE__VALUE

      The meta object literal for the 'Value' attribute feature.

    - #### VARIABLE_VALUE

          static final org.eclipse.emf.ecore.EClass VARIABLE_VALUE

      The meta object literal for the '`Variable Value`' class.
      See Also:
        `VariableValueImpl`, `PatternLanguagePackageImpl.getVariableValue()`

    - #### VARIABLE_VALUE__VALUE

          static final org.eclipse.emf.ecore.EReference VARIABLE_VALUE__VALUE

      The meta object literal for the 'Value' containment reference feature.

    - #### LIST_VALUE

          static final org.eclipse.emf.ecore.EClass LIST_VALUE

      The meta object literal for the '`List Value`' class.
      See Also:
        `ListValueImpl`, `PatternLanguagePackageImpl.getListValue()`

    - #### LIST_VALUE__VALUES

          static final org.eclipse.emf.ecore.EReference LIST_VALUE__VALUES

      The meta object literal for the 'Values' containment reference list feature.

    - #### FUNCTION_EVALUATION_VALUE

          static final org.eclipse.emf.ecore.EClass FUNCTION_EVALUATION_VALUE

      The meta object literal for the '`Function Evaluation Value`' class.
      See Also:
        `FunctionEvaluationValueImpl`, `PatternLanguagePackageImpl.getFunctionEvaluationValue()`

    - #### FUNCTION_EVALUATION_VALUE__EXPRESSION

          static final org.eclipse.emf.ecore.EReference FUNCTION_EVALUATION_VALUE__EXPRESSION

      The meta object literal for the 'Expression' containment reference feature.

    - #### AGGREGATED_VALUE

          static final org.eclipse.emf.ecore.EClass AGGREGATED_VALUE

      The meta object literal for the '`Aggregated Value`' class.
      See Also:
        `AggregatedValueImpl`, `PatternLanguagePackageImpl.getAggregatedValue()`

    - #### AGGREGATED_VALUE__AGGREGATOR

          static final org.eclipse.emf.ecore.EReference AGGREGATED_VALUE__AGGREGATOR

      The meta object literal for the 'Aggregator' containment reference feature.

    - #### AGGREGATED_VALUE__CALL

          static final org.eclipse.emf.ecore.EReference AGGREGATED_VALUE__CALL

      The meta object literal for the 'Call' containment reference feature.

    - #### COUNT_AGGREGATOR

          static final org.eclipse.emf.ecore.EClass COUNT_AGGREGATOR

      The meta object literal for the '`Count Aggregator`' class.
      See Also:
        `CountAggregatorImpl`, `PatternLanguagePackageImpl.getCountAggregator()`

    - #### COMPARE_FEATURE

          static final org.eclipse.emf.ecore.EEnum COMPARE_FEATURE

      The meta object literal for the '`Compare Feature`' enum.
      See Also:
        `CompareFeature`, `PatternLanguagePackageImpl.getCompareFeature()`